SDL_GetScancodeFromName(3)

NAME
SDL_GetScancodeFromName - Get a scancode from a human-readable name.

HEADER FILE
Defined in SDL3/SDL_keyboard.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Scancode SDL_GetScancodeFromName(const char *name);

FUNCTION PARAMETERS

name
    the human-readable scancode name.

RETURN VALUE
( SDL_Scancode ) Returns the SDL_Scancode , or

SDL_SCANCODE_UNKNOWN if the name wasn't recognized; call SDL_GetError () for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetKeyFromName(3), •(3), SDL_GetScancodeFromKey(3), •(3), SDL_GetScancodeName(3)